%define subrel 1
%define rel 1

Summary:        Jabber client using Qt5
Name:           psi
Version:        1.3
Release:        %mkrel %{rel}
License:        GPLv2+
Group:          Networking/Instant messaging
URL:            http://psi-im.org
Source0:        http://prdownloads.sourceforge.net/psi/%{name}-%{version}.tar.xz
Source1:        %{name}-icons.tar.bz2
Source2:        %{name}-smileysets.tar.bz2
Source3:        %{name}-iconsets.tar.bz2
Patch0:         psi-1.3-icons-hicolor-install.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(libidn)
BuildRequires:  pkgconfig(minizip)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(qca2-qt5)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(zlib)

Requires:       %{name}-lang-pack = %{version}-%{release}
Requires:       qca-qt5
Recommends:     sasl-plug-scram

#Translations files has been moved on psi website, you can update them using this little script
#For the main psi translation
#for i in be cs de eo es es_ES fr it ja mk pl pt_BR ru sl sv uk ur_PK vi zh_CN zh_TW ;do wget http://psi-im.org/download/lang/psi_${i}.qm && bzip2 -f psi_${i}.qm;done

%define langlist be cs de eo es es_ES fr it ja mk pl pt_BR ru sl sv uk ur_PK vi zh_CN zh_TW
%{expand:%(\
	i=4; \
	for lang in %langlist; do\
		echo "%%{expand:Source$i: %%{name}_$lang.qm.bz2}";\
		i=$[i+1];\
	done\
	)
}
%{expand:%(for lang in %{langlist}; do echo "%%{expand:%%define build_$lang 1}"; done)}

%description
Psi is the premiere Instant Messaging application designed for Microsoft
Windows, Apple Mac OS X and GNU/Linux. Built upon an open protocol named
Jabber, Psi is a fast and lightweight messaging client that utilises the best
in open source technologies.
The goal of the Psi project is to create a powerful, yet easy-to-use
Jabber/XMPP client that tries to strictly adhere to the XMPP drafts.and Jabber
JEPs. This means that in most cases, Psi will not implement a feature unless
there is an accepted standard for it in the Jabber community. Doing so ensures
that Psi will be compatible, stable, and predictable, both from an end-user and
developer standpoint.

%files
%doc README COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/sound
%dir %{_datadir}/%{name}/themes
%dir %{_datadir}/%{name}/certs
%dir %{_datadir}/%{name}/iconsets
%dir %{_datadir}/%{name}/iconsets/activities
%dir %{_datadir}/%{name}/iconsets/affiliations
%dir %{_datadir}/%{name}/iconsets/clients
%dir %{_datadir}/%{name}/iconsets/emoticons
%dir %{_datadir}/%{name}/iconsets/moods
%dir %{_datadir}/%{name}/iconsets/roster
%dir %{_datadir}/%{name}/iconsets/system
%{_datadir}/%{name}/client_icons.txt
%{_datadir}/%{name}/certs/README
%{_datadir}/%{name}/certs/startcom_ca.crt
%{_datadir}/%{name}/certs/startcom_ca_new.crt
%{_datadir}/%{name}/iconsets/activities/default/
%{_datadir}/%{name}/iconsets/affiliations/default/
%{_datadir}/%{name}/iconsets/clients/default/
%{_datadir}/%{name}/iconsets/emoticons/default/
%{_datadir}/%{name}/iconsets/moods/default/
%{_datadir}/%{name}/iconsets/roster/README
%{_datadir}/%{name}/iconsets/roster/*.jisp
%{_datadir}/%{name}/iconsets/roster/default/
%{_datadir}/%{name}/iconsets/system/README
%{_datadir}/%{name}/iconsets/system/default/
%{_datadir}/%{name}/sound/*.wav
%{_datadir}/%{name}/themes/chatview/

#--------------------------------------------------------------------

%package -n     %{name}-iconsets
Summary:        Package with iconsets
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}

%description -n %{name}-iconsets
This package contain a various iconsets for psi.

%files -n %{name}-iconsets
%{_datadir}/%{name}/iconsets/system/amibulb.jisp
%{_datadir}/%{name}/iconsets/system/amiglobe.jisp
%{_datadir}/%{name}/iconsets/system/berlin-icq.jisp
%{_datadir}/%{name}/iconsets/system/berlin.jisp
%{_datadir}/%{name}/iconsets/system/chrome.jisp
%{_datadir}/%{name}/iconsets/system/dudes.jisp
%{_datadir}/%{name}/iconsets/system/dudes2.jisp
%{_datadir}/%{name}/iconsets/system/email.jisp
%{_datadir}/%{name}/iconsets/system/gothRoster.jisp
%{_datadir}/%{name}/iconsets/system/individual.jisp
%{_datadir}/%{name}/iconsets/system/kitty.jisp
%{_datadir}/%{name}/iconsets/system/lightbulb.jisp
%{_datadir}/%{name}/iconsets/system/msn6.jisp
%{_datadir}/%{name}/iconsets/system/neos.jisp
%{_datadir}/%{name}/iconsets/system/speechbubbles.jisp
%{_datadir}/%{name}/iconsets/system/stellar.jisp

#--------------------------------------------------------------------

%package -n     %{name}-smileysets
Summary:        Package with smileysets
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}

%description -n %{name}-smileysets
This package contain a various smileysets for psi.

%files -n %{name}-smileysets
%{_datadir}/%{name}/iconsets/emoticons/AIM.jisp
%{_datadir}/%{name}/iconsets/emoticons/Chibi.jisp
%{_datadir}/%{name}/iconsets/emoticons/JIM.jisp
%{_datadir}/%{name}/iconsets/emoticons/KMess-Cartoon-1.0.jisp
%{_datadir}/%{name}/iconsets/emoticons/Ninja.jisp
%{_datadir}/%{name}/iconsets/emoticons/Taryn.jisp
%{_datadir}/%{name}/iconsets/emoticons/apple_ichat-1.0.jisp
%{_datadir}/%{name}/iconsets/emoticons/critters-1.0.jisp
%{_datadir}/%{name}/iconsets/emoticons/gadu-gadu.jisp
%{_datadir}/%{name}/iconsets/emoticons/icq-2002a.jisp
%{_datadir}/%{name}/iconsets/emoticons/ikonboard-3.1.jisp
%{_datadir}/%{name}/iconsets/emoticons/invision_board-1.0.1.jisp
%{_datadir}/%{name}/iconsets/emoticons/kreativ_squareheads.jisp
%{_datadir}/%{name}/iconsets/emoticons/megapack-1.0.jisp
%{_datadir}/%{name}/iconsets/emoticons/msn.jisp
%{_datadir}/%{name}/iconsets/emoticons/patricks_faces-1.0.jisp
%{_datadir}/%{name}/iconsets/emoticons/shinyicons.jisp
%{_datadir}/%{name}/iconsets/emoticons/tlen.pl-3.73.jisp
%{_datadir}/%{name}/iconsets/emoticons/trill-basic-smileys.jisp
%{_datadir}/%{name}/iconsets/emoticons/webmessenger.jisp
%{_datadir}/%{name}/iconsets/emoticons/wpkontakt-2.4.1.jisp
%{_datadir}/%{name}/iconsets/emoticons/yahoo_messenger.jisp

#--------------------------------------------------------------------

%package -n     %{name}-lang-pack-en
Summary:        English language pack for psi
Group:          System/Internationalization
Requires:       locales-en
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-en
This package adds support for english to psi.

%files -n %{name}-lang-pack-en

#--------------------------------------------------------------------

%if %{build_be}
%package -n     %{name}-lang-pack-be
Summary:        Belarusian language pack for psi
Group:          System/Internationalization
Requires:       locales-be
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-be
This package adds support for belarusian to psi.

%files -n %{name}-lang-pack-be
%{_datadir}/%{name}/%{name}_be.qm
%endif

#--------------------------------------------------------------------

%if %{build_cs}
%package -n     %{name}-lang-pack-cs
Summary:        Czech language pack for psi
Group:          System/Internationalization
Requires:       locales-cs
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-cs
This package adds support for czech to psi.

%files -n %{name}-lang-pack-cs
%{_datadir}/%{name}/%{name}_cs.qm
%endif

#--------------------------------------------------------------------

%if %{build_de}
%package -n     %{name}-lang-pack-de
Summary:        Deutsch language pack for psi
Group:          System/Internationalization
Requires:       locales-de
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-de
This package adds support for deutsch to psi.

%files -n %{name}-lang-pack-de
%{_datadir}/%{name}/%{name}_de.qm
%endif

#--------------------------------------------------------------------

%if %{build_eo}
%package -n     %{name}-lang-pack-eo
Summary:        Esperanto language pack for psi
Group:          System/Internationalization
Requires:       locales-eo
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-eo
This package adds support for esperanto to psi.

%files -n %{name}-lang-pack-eo
%{_datadir}/%{name}/%{name}_eo.qm
%endif

#--------------------------------------------------------------------

%if %{build_es}
%package -n     %{name}-lang-pack-es
Summary:        Spanish language pack for psi
Group:          System/Internationalization
Requires:       locales-es
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-es
This package adds support for spanish to psi.

%files -n %{name}-lang-pack-es
%{_datadir}/%{name}/%{name}_es.qm
%{_datadir}/%{name}/%{name}_es_ES.qm
%endif
#--------------------------------------------------------------------

%if %{build_fr}

%package -n     %{name}-lang-pack-fr
Summary:        French language pack for psi
Group:          System/Internationalization
Requires:       locales-fr
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-fr
This package adds support for french to psi.

%files -n %{name}-lang-pack-fr
%{_datadir}/%{name}/%{name}_fr.qm
%endif

#--------------------------------------------------------------------

%if %{build_it}

%package -n     %{name}-lang-pack-it
Summary:        Italian language pack for psi
Group:          System/Internationalization
Requires:       locales-it
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-it
This package adds support for italian to psi.

%files -n %{name}-lang-pack-it
%{_datadir}/%{name}/%{name}_it.qm
%endif

#--------------------------------------------------------------------

%if %{build_ja}
%package -n     %{name}-lang-pack-ja
Summary:        Japanese language pack for psi
Group:          System/Internationalization
Requires:       locales-ja
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-ja
This package adds support for japanese to psi.

%files -n %{name}-lang-pack-ja
%{_datadir}/%{name}/%{name}_ja.qm
%endif

#--------------------------------------------------------------------

%if %{build_mk}

%package -n     %{name}-lang-pack-mk
Summary:        Macedonia language pack for psi
Group:          System/Internationalization
Requires:       locales-mk
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-mk
This package adds support for macedonia to psi.

%files -n %{name}-lang-pack-mk
%{_datadir}/%{name}/%{name}_mk.qm
%endif

#--------------------------------------------------------------------

%if %{build_pl}
%package -n     %{name}-lang-pack-pl
Summary:        Polish language pack for psi
Group:          System/Internationalization
Requires:       locales-pl
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-pl
This package adds support for polish to psi.

%files -n %{name}-lang-pack-pl
%{_datadir}/%{name}/%{name}_pl.qm
%endif

#--------------------------------------------------------------------

%if %{build_pt_BR}
%package -n     %{name}-lang-pack-pt_br
Summary:        Portuguese brazilian language pack for psi
Group:          System/Internationalization
Requires:       locales-pt
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-pt_br
This package adds support for portuguese brazilian to psi.

%files -n %{name}-lang-pack-pt_br
%{_datadir}/%{name}/%{name}_pt_BR.qm
%endif

#--------------------------------------------------------------------

%if %{build_ru}
%package -n     %{name}-lang-pack-ru
Summary:        Russian language pack for psi
Group:          System/Internationalization
Requires:       locales-ru
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-ru
This package adds support for russian to psi.

%files -n %{name}-lang-pack-ru
%{_datadir}/%{name}/%{name}_ru.qm
%endif

#--------------------------------------------------------------------

%if %{build_sl}
%package -n     %{name}-lang-pack-sl
Summary:        Slovenian language pack for psi
Group:          System/Internationalization
Requires:       locales-sl
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-sl
This package adds support for slovenian to psi.

%files -n %{name}-lang-pack-sl
%{_datadir}/%{name}/%{name}_sl.qm

%endif

#--------------------------------------------------------------------

%if %{build_sv}
%package -n     %{name}-lang-pack-sv
Summary:        Swedish language pack for psi
Group:          System/Internationalization
Requires:       locales-sv
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-sv
This package adds support for swedish to psi.

%files -n %{name}-lang-pack-sv
%{_datadir}/%{name}/%{name}_sv.qm
%endif

#--------------------------------------------------------------------

%if %{build_uk}
%package -n     %{name}-lang-pack-uk
Summary:        Ukrainian language pack for psi
Group:          System/Internationalization
Requires:       locales-uk
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-uk
This package adds support for ukrainian to psi.

%files -n %{name}-lang-pack-uk
%{_datadir}/%{name}/%{name}_uk.qm
%endif

#--------------------------------------------------------------------

%if %{build_ur_PK}
%package -n     %{name}-lang-pack-ur_PK
Summary:        Urdu language pack for psi
Group:          System/Internationalization
Requires:       locales-ur
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-ur_PK
This package adds support for urdu to psi.

%files -n %{name}-lang-pack-ur_PK
%{_datadir}/%{name}/%{name}_ur_PK.qm
%endif

#--------------------------------------------------------------------

%if %{build_vi}
%package -n     %{name}-lang-pack-vi
Summary:        Vietnamese language pack for psi
Group:          System/Internationalization
Requires:       locales-vi
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-vi
This package adds support for vietnamese to psi.

%files -n %{name}-lang-pack-vi
%{_datadir}/%{name}/%{name}_vi.qm
%endif

#--------------------------------------------------------------------

%if %{build_zh_TW}
%package -n     %{name}-lang-pack-zh
Summary:        Chinese language pack for psi
Group:          System/Internationalization
Requires:       locales-zh
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-zh
This package adds support for Chinese to psi.

%files -n %{name}-lang-pack-zh
%{_datadir}/%{name}/%{name}_zh_TW.qm
%{_datadir}/%{name}/%{name}_zh_CN.qm
%endif

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%setup -q -T -D -a1 -a2 -a3 -n %{name}-%{version}
%autopatch -p1

%build
%cmake_qt5

%make_build

%install
%make_install -C build

# if some set is added/removed don't remember update files section too
# Install smileysets
%__cp %{name}-smileysets/* %{buildroot}%{_datadir}/%{name}/iconsets/emoticons
# Install iconsets
%__cp %{name}-iconsets/* %{buildroot}%{_datadir}/%{name}/iconsets/system

%{expand:%(\
	i=4; \
	for lang in %langlist; do\
		echo "%%{expand:%__bzip2 -dc %{SOURCE$i} > %{buildroot}%{_datadir}/%{name}/%{name}_$lang.qm}" ;\
		i=$[i+1];\
	done\
	)
}


%changelog
* Sun Oct 29 2017 daviddavid <daviddavid> 1.3-1.1.mga6
+ Revision: 1174541
- recommends sasl-plug-scram
- new version: 1.3 (mga#21366)
- port to Qt5
- compile with cmake
- update all translation source files

* Tue Feb 16 2016 umeabot <umeabot> 0.15-7.mga6
+ Revision: 962168
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 0.15-6.mga6
+ Revision: 893844
- fix empty debugfiles adding --debug configure option
- fix owner of data dir

* Wed Oct 15 2014 umeabot <umeabot> 0.15-5.mga5
+ Revision: 748962
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.15-4.mga5
+ Revision: 687812
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.15-3.mga4
+ Revision: 517724
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.15-2.mga3
+ Revision: 378279
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 mikala <mikala> 0.15-1.mga3
+ Revision: 307438
- Update tarball to 0.15
- Add some translations packages
- Fix translations group
- Clean spec a little bit

* Sat Aug 11 2012 luigiwalser <luigiwalser> 0.14-10.mga3
+ Revision: 280692
- fix building with gcc 4.7 (fedora)
- add patch from fedora to fix input validation flaw (mga #7002)

* Fri Dec 16 2011 mikala <mikala> 0.14-9.mga2
+ Revision: 182424
- Remove aspell as BR & suggests ( CC mga #3766)
- Add pkgconfig(xscrnsaver) as BR

* Mon Apr 25 2011 mikala <mikala> 0.14-8.mga1
+ Revision: 90854
- Add as a suggests aspell dictionnary for languages pack

* Sat Apr 16 2011 mikala <mikala> 0.14-7.mga1
+ Revision: 86129
- Remove psimedia as a suggest until it's fixed

* Mon Mar 14 2011 mikala <mikala> 0.14-6.mga1
+ Revision: 71081
- Add patch2 ( fix a crash in muc configuration with Qt 4.7x)

* Tue Feb 15 2011 mikala <mikala> 0.14-5.mga1
+ Revision: 51914
- Remove libjingle-devel as BuildRequire
- Remove BuildRoot
- Fix typo in summary for fr language pack
- imported package psi


* Wed Dec 08 2010 John Balcaen <mikala@mandriva.org> 0.14-5mdv2011.0
+ Revision: 616249
- Fix wrong use of %%exclude
- Fix wrongly remove %%doc
- Fix typo

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Sun Jan 24 2010 John Balcaen <mikala@mandriva.org> 0.14-4mdv2010.1
+ Revision: 495586
- Add additional qt translations for fr,pl,be,sv,de,es,mk,ur_PK,ru
- drop patch0 & patch2 (not used since 0.12)
- clean files list
- add %%version-%%release in requires/provides for translation-pack

* Thu Dec 31 2009 John Balcaen <mikala@mandriva.org> 0.14-3mdv2010.1
+ Revision: 484469
- Add --no-separate-debug-info flag in configure
- Add missing obsoletes

* Thu Dec 31 2009 John Balcaen <mikala@mandriva.org> 0.14-2mdv2010.1
+ Revision: 484271
- Add Obsoletes for dropped psi-lang-pack
 - Renumber Sourcexx for maintained language pack
- Add qca2-plugin-gnupg as suggests

* Thu Dec 03 2009 John Balcaen <mikala@mandriva.org> 0.14-1mdv2010.1
+ Revision: 472846
- Update to 0.14 final
- Add Japanese (ja) & Sweedish (sv) languages pack
- Update translations (cs,ru,pt_BR,fr,pl,it,sl,ur_PK,be,de)
- Switch zh to zh_TW (zh language pack is not maintened since 0.9.3)
- Remove some language packs not maintened since 0.9.3 (fi,eo,se,hu,sk,vi,el,sr@LAtn,et,nl)

* Sat Nov 28 2009 John Balcaen <mikala@mandriva.org> 0.14-0.rc3.1mdv2010.1
+ Revision: 470819
- Update to 0.14 rc3

* Sun Nov 22 2009 John Balcaen <mikala@mandriva.org> 0.14-0.rc2.1mdv2010.1
+ Revision: 469085
- Fix %%qmake_qt4 macro
- Update to 0.14 rc2
- rediff patch1
- add language pack for urdu and belarussian
- add a buildrequires for enchant
- correct ./configure options
- Update language pack

* Tue Aug 04 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.13-2mdv2010.0
+ Revision: 408654
- Add qca2-openssl as requires ( allow to connect to a gmail account)
- Suggestss psimedia
- Remove unused needed
- Update mk es ru pt fr  pl it  de translations

* Sun Aug 02 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.13-1mdv2010.0
+ Revision: 407523
- Remove old mandriva menu category
- Add missing source
- Fix package layout
- Update to psi 0.13

* Mon Jul 06 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.13-0.rc2.2mdv2010.0
+ Revision: 392884
- Update to rc2

* Mon Jun 22 2009 John Balcaen <mikala@mandriva.org> 0.13-0.rc1.2mdv2010.0
+ Revision: 387971
- Fixing #51636
 signed-off-by: neoclust@mandriva.org

* Wed May 27 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.13-0.rc1.1mdv2010.0
+ Revision: 380097
- Update to version 0.13 RC1

* Wed Mar 18 2009 Frederik Himpe <fhimpe@mandriva.org> 0.12.1-1mdv2009.1
+ Revision: 357452
- Update to 0.12.1 (security fix release fixing CVE-2008-6393)
- Use system libqca library
- Add patch fixing build with QT 4.5 (bug #47737)
- Add patch fixing compilation error
- Disable Werror=format-security because of many errors in C++ code

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Enable aspell (Bug #46105)

* Sun Aug 10 2008 Funda Wang <fwang@mandriva.org> 0.12-2mdv2009.0
+ Revision: 270558
- compile using new flags
- clearify the license

* Sun Aug 10 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.12-1mdv2009.0
+ Revision: 270227
- New version 0.12

* Tue Jul 22 2008 Buchan Milne <bgmilne@mandriva.org> 0.12-0.Rc4.1mdv2009.0
+ Revision: 240020
- New version 0.12-RC4

* Sat May 10 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.12-0.Rc2.1mdv2009.0
+ Revision: 205377
- Update to psi 0.12 RC2
- [BUGFIX] Fix language pack groups (Bug #36374)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.11-1mdv2008.1
+ Revision: 125713
- kill re-definition of %%buildroot on Pixel's request

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - 0.11 Final

* Wed Oct 10 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.11-0.rc3.1mdv2008.1
+ Revision: 96907
- New snapshot 2007-10-10 For Rc3

* Sun Aug 26 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.11-0.rc2.2mdv2008.0
+ Revision: 71691
- New snapshot 2007-08-26

* Tue Jul 17 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.11-0.rc2.1mdv2008.0
+ Revision: 53001
- New version Rc2

* Mon May 21 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.11-0.rc1.1mdv2008.0
+ Revision: 29576
- 0.11 Rc1

* Tue May 01 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.11-0.beta5.3mdv2008.0
+ Revision: 20184
- New svn snapshot 2007-05-01
- New svn snapshot


* Tue Mar 13 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.11-0.beta5.3mdv2007.1
+ Revision: 143215
- New svn snapshot

* Sun Mar 04 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.11-0.beta5.2mdv2007.1
+ Revision: 132622
- New svn snapshot

* Fri Feb 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.11-0.beta4.7mdv2007.1
+ Revision: 121594
- New svn snaphot (2007-02-16)
- Disable plugins
- New snapshot
- New svn snapshot
- Start to use external QCA2 but does not compile yet
- Fix configure
- Add debug compilation option ( will add a switch later)
- Remove update_menu macros  useless here

* Fri Dec 22 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.11-0.beta4.1mdv2007.1
+ Revision: 101686
- sync sources
- New version 0.11-0.beta4 (based on Qt 4)
- Drop Old debian menu style
- Import psi

* Wed Jul 12 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.10-5mdv2007.0
- Add Virtual package for lang-pack-en

* Wed Jul 12 2006 Tibor Pittich <Tibor.Pittich@mandriva.org> 0.10-4mdv2007.0
- update langpacks - sr,de,it
- add langpacks - ca,hu,pt,pt_BR,sl(#23391),bg

* Sat Jul 08 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.10-3mdv2007.0
- Rebuild for new menu and extensions
- XDG Menu
- make install ask for a langpack ( to avoid users having psi
				         in english by default)

* Wed Jan 25 2006 Tibor Pittich <Tibor.Pittich@mandriva.org> 0.10-2mdk
- simplify configure section, it fixed build on non x86 systems
- update translations

* Fri Jan 20 2006 Buchan Milne <bgmilne@mandriva.org> 0.10-1mdk
- New release 0.10
- new url
- rpmbuildupdate-able, %%mkrel

* Mon Jan 31 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.3-4mdk
- imported P0 (really disable debug build) and P1 (lib64 fix) from Cliff
  Dugal's package
- fixed requires-on-release
- updated el and cs langpacks
- fixed locales requirisity for se langpack

* Tue Jan 18 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.3-3mdk
- removed explicit lib dependency
- fix permission of psi_sk.qm.bz2

* Mon Jan 10 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.3-2mdk
- fixed menu section
- requires and buildrequires again due to libification of qca
- updated description
- added estonian and vietnamese lang packs
- updated fr, mk, nl, zh, es, ru, pl, de and sk translations
- added jisp smileysets package
- removed old iconset sources, replaced by jisp icons
- use exclude macro instead of rm

* Mon Jan 10 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.3-1mdk
- 0.9.3
- adjust requires and buildrequires due to rename qca plugin package

* Wed Jul 28 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.2-2mdk
- updated Chinese, Dutch, Slovak, Czech and French transalation

* Fri Jun 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-1mdk
- 0.9.2

* Fri Mar 26 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.1-7mdk
- fixed menu entry (#5281)

